Astrocal
API ReferenceOrganizationsV1Organizations

Get organization by owner

Retrieves an organization by its owner's Supabase Auth user ID. Service key authentication required. Used by the dashboard to resolve the current user's org.

GET
/v1/organizations

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Query Parameters

owner_user_id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/organizations?owner_user_id=string"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "slug": "string",
  "owner_user_id": "string",
  "default_calendar_connection_id": "22d63662-1510-4a08-8aae-bea6121120ff",
  "onboarding_completed_at": "string",
  "created_at": "string",
  "updated_at": "string"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}